## fcitx-chewing 0.1.0

=== src/CMakeLists.txt ===
include_directories (${CHEWING_INCLUDE_DIR})
include_directories (${FCITX4_FCITX_INCLUDE_DIRS})
include_directories (${FCITX4_FCITX_CONFIG_INCLUDE_DIRS})
include_directories (${FCITX4_FCITX_UTILS_INCLUDE_DIRS})
include_directories (${PROJECT_BINARY_DIR})

set( fcitx_chewing_sources
    eim.c
    config.c
    )

add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )

fcitx_add_addon(fcitx-chewing ${fcitx_chewing_sources} )
target_link_libraries (fcitx-chewing ${CHEWING_LIBRARIES})

=== debian/changelog ===
fcitx-chewing (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #658148) 

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 06 Feb 2012 14:10:14 +0800

=== debian/control ===
Source: fcitx-chewing
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake, intltool, fcitx-libs-dev (>= 4.2.0), 
  libchewing3-dev, gettext
Standards-Version: 3.9.2
Homepage: http://fcitx.googlecode.com
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-chewing.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-chewing.git

Package: fcitx-chewing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin, 
  fcitx-data (>= 1:4.2.0), fcitx-modules
Description: Fcitx wrapper for Chewing library
 fcitx-chewing is a wrapper of Chewing IM engine for Fcitx.
 .
 Chewing is an intelligent phonetic input method library
 designed mainly for inputing Traditional Chinese..

=== debian/watch ===
version=3
http://googlecode.debian.net/p/fcitx/fcitx-chewing-(\d+.*)\.tar\.gz

## fcitx-chewing 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project(fcitx-chewing)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

FIND_PACKAGE(Chewing REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)
FIND_PACKAGE(Fcitx REQUIRED)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
    )

set(libdir ${LIB_INSTALL_DIR})

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

=== data/CMakeLists.txt ===
fcitx_add_addon_conf_file(fcitx-chewing.conf)
fcitx_add_configdesc_file(fcitx-chewing.desc)
fcitx_add_inputmethod_conf_file(chewing.conf)
install(FILES chewing.png DESTINATION share/fcitx/skin/default/)
install(FILES chewing.png DESTINATION share/fcitx/skin/classic/)
install(FILES chewing.png DESTINATION share/fcitx/skin/dark/)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)
file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
if ("${REL_SOURCE_ROOT}" STREQUAL "")
    set(REL_SOURCE_ROOT ".")
endif("${REL_SOURCE_ROOT}" STREQUAL "")

set(POT_FILE fcitx-chewing.pot)

configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)

extract_fcitx_addon_conf_postring()

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/desc.po
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/getdescpo ${PROJECT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS getdescpo)

add_custom_target(
    pot
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_BINARY_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-chewing --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/conf.po ${CMAKE_CURRENT_BINARY_DIR}/desc.po
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== debian/changelog ===
fcitx-chewing (0.1.2-2) unstable; urgency=low

  * Add pkg-config to build deps.

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 15 May 2012 12:52:10 +0800

fcitx-chewing (0.1.2-1) unstable; urgency=low

  * New upstream release 0.1.2.

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 15 May 2012 11:21:15 +0800

fcitx-chewing (0.1.1-1) unstable; urgency=low

  * New upstream release, build with Multi-Arch enabled libchewing.

 -- Aron Xu <aron@debian.org>  Tue, 03 Apr 2012 06:24:53 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), cmake, intltool, fcitx-libs-dev (>= 4.2.0), 
-  libchewing3-dev, gettext
-Standards-Version: 3.9.2
+  libchewing3-dev, gettext, pkg-config
+Standards-Version: 3.9.3
 Homepage: http://fcitx.googlecode.com
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-chewing.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-chewing.git

## fcitx-chewing 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(fcitx-chewing)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

FIND_PACKAGE(Chewing REQUIRED)
FIND_PACKAGE(Fcitx 4.2.7 REQUIRED)

_fcitx_add_uninstall_target()

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

if(NOT DEFINED LIB_INSTALL_DIR)
  set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
  )

set(libdir ${LIB_INSTALL_DIR})

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(data)

=== po/CMakeLists.txt ===
set(PO_LANGS de zh_CN zh_TW ja)
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-chewing fcitx-chewing.pot)

=== debian/changelog ===
fcitx-chewing (0.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Fri, 02 Aug 2013 13:38:16 +0800

fcitx-chewing (0.2.0-1) unstable; urgency=low

  * Imported Upstream version 0.2.0

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 15 Feb 2013 18:27:20 +0800

fcitx-chewing (0.1.3-1) experimental; urgency=low

  * Imported Upstream version 0.1.3

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 28 Sep 2012 15:34:22 +0800

=== debian/control ===
Source: fcitx-chewing
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 8), cmake, fcitx-bin, fcitx-libs-dev (>= 1:4.2.8), 
  libchewing3-dev, gettext, pkg-config
Standards-Version: 3.9.4
Homepage: http://fcitx.googlecode.com
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-chewing.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-chewing.git

Package: fcitx-chewing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin, 
  fcitx-data (>= 1:4.2.8), fcitx-modules
Description: Fcitx wrapper for Chewing library
 fcitx-chewing is a wrapper of Chewing IM engine for Fcitx.
 .
 Chewing is an intelligent phonetic input method library
 designed mainly for inputing Traditional Chinese..

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-chewing-*\.*(.*)\.tar\.xz

## fcitx-chewing 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
-FIND_PACKAGE(Chewing REQUIRED)
+FIND_PACKAGE(Chewing 0.4.0 REQUIRED)
 FIND_PACKAGE(Fcitx 4.2.7 REQUIRED)
 
 _fcitx_add_uninstall_target()

=== debian/changelog ===
fcitx-chewing (0.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 06 Jul 2014 02:30:32 +0800

## fcitx-chewing 0.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
-FIND_PACKAGE(Chewing 0.4.0 REQUIRED)
+FIND_PACKAGE(Chewing 0.5.0 REQUIRED)
 FIND_PACKAGE(Fcitx 4.2.7 REQUIRED)
 
 _fcitx_add_uninstall_target()

=== data/CMakeLists.txt ===
install(FILES chewing.png DESTINATION ${FCITX4_PREFIX}/share/fcitx/imicon/)
install(FILES chewing.png DESTINATION share/icons/hicolor/48x48/apps/ RENAME fcitx-chewing.png)
install(FILES default/chewing.png DESTINATION ${FCITX4_PREFIX}/share/fcitx/skin/default)
install(FILES dark/chewing.png DESTINATION ${FCITX4_PREFIX}/share/fcitx/skin/dark)
install(FILES classic/chewing.png DESTINATION ${FCITX4_PREFIX}/share/fcitx/skin/classic)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-chewing fcitx-chewing.pot)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,5 +11,8 @@
 
 add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )
 
-fcitx_add_addon(fcitx-chewing ${fcitx_chewing_sources} )
-target_link_libraries (fcitx-chewing ${CHEWING_LIBRARIES})
+fcitx_add_addon_full(chewing
+DESC
+SOURCES ${fcitx_chewing_sources}
+IM_CONFIG chewing.conf
+LINK_LIBS ${CHEWING_LIBRARIES})

=== debian/changelog ===
fcitx-chewing (0.2.3-2) unstable; urgency=medium

  * Team upload.
  * Rebuild package before Ubuntu 22.04 LTS.
  * Refresh packaging:
    + debhelper compat v13.
    + Standards-Version: 4.6.0.
    + Update homepage field.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Feb 2022 10:13:54 -0500

fcitx-chewing (0.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh packaging instructions.
    + d/control: Update maintainer email address (Closes: #899501).
    + Use debhelper compat v11.
    + d/rules: bump standards-version to 4.2.1.
    + d/rules: enable full hardening.
    + d/copyright: refresh information.
    + d/control: use GitLab as homepage.
    + d/control: use canonical Vcs URL.
    + d/control: bump fcitx version requirement.
  * d/watch: point to download.fcitx-im.org.
  * d/control: Mark fcitx-chewing as Multi-Arch: same.

 -- Boyuan Yang <byang@debian.org>  Wed, 31 Oct 2018 16:06:23 -0400

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-chewing/ \
 fcitx-chewing-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
